Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.webapp
Class GenericServletContainerInitializer

    java.lang.Object
      org.richfaces.webapp.GenericServletContainerInitializer

All Implemented Interfaces:
  javax.servlet.ServletContainerInitializer

Direct Known Subclasses:
  PushServletContainerInitializer, ResourceServletContainerInitializer

    public abstract class GenericServletContainerInitializer

extends java.lang.Object
implements javax.servlet.ServletContainerInitializer

Provides common functionality for `ServletContainerInitializer` implementatios.

Author:
  Lukas Fryc

Constructor Summary
`GenericServletContainerInitializer()`

Method Summary
`protected javax.servlet.ServletRegistration` | `getServletRegistration(java.lang.Class<? extends javax.servlet.Servlet> servletClass, javax.servlet.ServletContext context)` Returns the servlet registration for given `Servlet` class, which has at least one mapping registered.
`protected boolean` | `hasFilterMapping(java.lang.Class<? extends javax.servlet.Filter> filterClass, javax.servlet.ServletContext context)` Detects if given `Filter` class has been already registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletContainerInitializer
`onStartup`

Constructor Detail

### GenericServletContainerInitializer

    public GenericServletContainerInitializer()

Method Detail

### hasFilterMapping

    protected boolean hasFilterMapping(java.lang.Class<? extends javax.servlet.Filter> filterClass,
                                       javax.servlet.ServletContext context)

  Detects if given `Filter` class has been already registered.

  Parameters:
    `filterClass` - `Filter` implementation class
    `context` - to search for registration
  Returns:
    true if given `Filter` class has been already registered.

### getServletRegistration

    protected javax.servlet.ServletRegistration getServletRegistration(java.lang.Class<? extends javax.servlet.Servlet> servletClass,
                                                                       javax.servlet.ServletContext context)

  Returns the servlet registration for given `Servlet` class, which has at least one mapping registered.

  Returns null otherwise.

  Parameters:
    `servletClass` - `Servlet` implementation class
    `context` - to search for registration
  Returns:
    the servlet registration for given `Servlet` class, which has at least one mapping registered, null otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.